Bug 739646 (CVE-2011-3369) - CVE-2011-3369 EtherApe: DoS (crash) by processing certain RPC traffic packets
Summary: CVE-2011-3369 EtherApe: DoS (crash) by processing certain RPC traffic packets
Keywords:
Status: NEW
Alias: CVE-2011-3369
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20110531,reported=2...
Depends On: 739649
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 17:40 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-09-19 17:40:00 UTC
A NULL pointer dereference flaw was found in the way EtherApe, a graphical network monitor, decoded certain RPC packets. A remote attacker could provide a specially-crafted packet capture file, which once opened by a local unsuspecting user could lead to denial of service (etherape executable crash).

References:
[1] http://etherape.sourceforge.net/
[2] http://sourceforge.net/tracker/?func=detail&aid=3309061&group_id=2712&atid=102712
    (upstream bug report)
[3] http://etherape.hg.sourceforge.net/hgweb/etherape/etherape/rev/f2ddedcf249e
    (relevant upstream patch)
[4] http://www.openwall.com/lists/oss-security/2011/09/19/4
   (CVE request)

Comment 1 Jan Lieskovsky 2011-09-19 17:41:51 UTC
This issue has been addressed for Fedora-15 via the following update:
etherape-0.9.7-12.fc15.

This issue affects the version of the etherape package, as shipped with Fedora release of 14. Please schedule an update.

Comment 2 Jan Lieskovsky 2011-09-19 17:44:26 UTC
Created etherape tracking bugs for this issue

Affects: fedora-14 [bug 739649]

Comment 3 Jan Lieskovsky 2011-09-22 13:00:40 UTC
The CVE identifier of CVE-2011-3369 has been assigned to this issue:
[5] http://www.openwall.com/lists/oss-security/2011/09/22/1

Comment 4 Tomas Hoger 2012-05-23 12:26:40 UTC
(In reply to comment #1)
> This issue has been addressed for Fedora-15 via the following update:
> etherape-0.9.7-12.fc15.

The above is probably incorrect.  0.9.7-12.fc15 was just rebuild not adding any patch.  It also pre-dates upstream bug report.

Upstream report says:

  Thank you. Fixed in 0.9.12

which is probably the source of the confusion (.12 vs. .7-12).


Note You need to log in before you can comment on or make changes to this bug.